goldlife goldlife - 1 month ago 16
PHP Question

Ioncube Loader PHP 5.5 not installed

I try to install Ioncube Loader with XAMPP and PHP 5.5.
I need this for XT Commerce on my local machine.
But I can't install it correctly.
After download from http://www.ioncube.com/loaders.php
I unzip this folder to

C:\xampp\htdocs\ioncube


After that I open the Test Page (
http://localhost/ioncube/loader-wizard.php?page=loader_check
)
and I get errors like:

The following problem has been found with the Loader installation:

The necessary zend_extension line could not be found in the configuration file, C:\xampp\php\php.ini.


So I Add this Line to my php.ini:

zend_extension = "C:\xampp\htdocs\ioncube\ioncube_loader_win_5.5.dll"


I restart my Apache Server, and try again.
But now I didn't get errors ... but also a message that Iconcube isn't install correctly:


ionCube Loader Wizard

The ionCube Loader is not currently installed successfully.

Please check that the Apache web server software has been restarted.


So what now? How can I install the ioncube Loader 5.5?

Answer

IonCube has a ready solution which leads you step by step. Just use wizard/installer from their page:

Installing with the Loader Installer or Loader Wizard (recommended)

It is recommended to install a Loader using the Loader Installer. The Installer is a Windows application that can deploy a Loader automatically to any supported operating system over FTP or SFTP. If this cannot be used, we also provide a Loader Wizard PHP script that gives guidance on installing manually.

Loader Installer: ZIP

Loader Wizard: ZIP TGZ

To use the Wizard, 1) download and install the script into your web space, then 2) launch the script in your browser. The Wizard will give guidance on selection and installation of the correct Loader package.

Source and more info: http://www.ioncube.com/loaders.php

Comments